Bug 26152 - Remove the use of jquery.checkboxes plugin from serial collection page
Summary: Remove the use of jquery.checkboxes plugin from serial collection page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-05 17:54 UTC by Owen Leonard
Modified: 2020-10-12 09:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26152: Remove the use of jquery.checkboxes plugin from serial collection page (2.21 KB, patch)
2020-08-05 18:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26152: Remove the use of jquery.checkboxes plugin from serial collection page (2.25 KB, patch)
2020-09-28 09:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 26152: Remove the use of jquery.checkboxes plugin from serial collection page (2.27 KB, patch)
2020-10-11 12:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-05 17:54:00 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the serial collection page in the staff interface.
Comment 1 Owen Leonard 2020-08-05 18:15:25 UTC
Created attachment 107856 [details] [review]
Bug 26152: Remove the use of jquery.checkboxes plugin from serial collection page

This patch removes the use of the jquery.checkboxes plugin from the
serial collection page and replaces it with custom JS.

To test, apply the patch and go to Serials.

- Locate a subscription which has multiple issues.
- View the details for that subscription.
- In the sidebar menu click the "Serial collection" link.
- On the serial collection page test the "Select all" and "Clear all"
  links at the top of each table of issues. The controls should work
  correctly and only affect the table on  that tab.
Comment 2 David Nind 2020-09-28 09:24:12 UTC
Created attachment 110842 [details] [review]
Bug 26152: Remove the use of jquery.checkboxes plugin from serial collection page

This patch removes the use of the jquery.checkboxes plugin from the
serial collection page and replaces it with custom JS.

To test, apply the patch and go to Serials.

- Locate a subscription which has multiple issues.
- View the details for that subscription.
- In the sidebar menu click the "Serial collection" link.
- On the serial collection page test the "Select all" and "Clear all"
  links at the top of each table of issues. The controls should work
  correctly and only affect the table on  that tab.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-10-11 12:09:43 UTC
Created attachment 111445 [details] [review]
Bug 26152: Remove the use of jquery.checkboxes plugin from serial collection page

This patch removes the use of the jquery.checkboxes plugin from the
serial collection page and replaces it with custom JS.

To test, apply the patch and go to Serials.

- Locate a subscription which has multiple issues.
- View the details for that subscription.
- In the sidebar menu click the "Serial collection" link.
- On the serial collection page test the "Select all" and "Clear all"
  links at the top of each table of issues. The controls should work
  correctly and only affect the table on  that tab.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-12 09:30:56 UTC
Pushed to master for 20.11, thanks to everybody involved!